Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "PolicyC.h"`
`#include "TimeBaseC.h"`
`#include "ace/post.h"`

Include dependency graph for TAOC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Compounds
struct | TAO::BufferingConstraint
interface | TAO::BufferingConstraintPolicy
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_BUFFERINGCONSTRAINTPOLICY___PTR_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY___VAR_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY___OUT_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const TAO::BufferingConstraint &)
TAO_Export void | operator<<= (CORBA::Any &, TAO::BufferingConstraint *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO::BufferingConstraint *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO::BufferingConstraint *&)
TAO_Export void | operator<<= (CORBA::Any &, TAO::BufferingConstraintPolicy_ptr)
TAO_Export void | operator<<= (CORBA::Any &, TAO::BufferingConstraintPolicy_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO::BufferingConstraintPolicy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::BufferingConstraint &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::BufferingConstraint &)

## Define Documentation

#define _TAO_BUFFERINGCONSTRAINTPOLICY___OUT_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY___PTR_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY___VAR_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::BufferingConstraint & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint * | _tao_elem
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO::BufferingConstraint & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::BufferingConstraint & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr & | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::BufferingConstraint *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint *& | _tao_elem
| ) |